// Copyright 1999 Macromedia, Inc. All rights reserved.

function isDOMRequired() { // Return false, indicating that this object is available in code view.
	return false;
}

function objectTag() {  // Return the html tag that should be inserted
  var breakpoint, classname, newpath, retStr, path;
  var bDialogState = dw.getShowDialogsOnInsert(); // Was dialog shown?
  
  path = dw.doURLEncoding(browseForFileURL());

  if ((path == '')  && bDialogState) {  return ''; }

  breakpoint = path.lastIndexOf("/");
  if (breakpoint > 0) {
    newpath = path.substring(0,breakpoint);
    classname = path.substring(breakpoint + 1,path.length);
    retStr = '<applet code="' + classname + '" codebase = "' + newpath + '" width="32" height="32"></applet>';
  } else retStr = '<applet code="' + path + '" width="32" height="32"></applet>';
  return retStr;
}
